using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Datory;
using GxPress.Entity.Middle;

namespace GxPress.Repository.Interface
{
    public interface IFolderUserRepository : IRepository
    {
        Task<int> InsertAsync(FolderUser folderUser);

        Task<bool> DeleteAsync(SqlKata.Query query);

        Task<IEnumerable<FolderUser>> GetAllAsync(int middleId);
        Task<IEnumerable<FolderUser>> GetAllAsync(SqlKata.Query query);
        /// <summary>
        /// 插入文件夹共享用户
        /// </summary>
        /// <param name="folderUsers"></param>
        /// <returns></returns>
        Task<bool> InsertsAsync(List<FolderUser> folderUsers);
    }
}
